Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 550500 - kde-base/korganizer-4.14.3 handbook not installed
Summary: kde-base/korganizer-4.14.3 handbook not installed
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-26 22:33 UTC by Jack
Modified: 2015-07-18 19:32 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jack 2015-05-26 22:33:49 UTC
KOrganizer 4.14.3 is installed and runs fine. However, selecting Help/KOrganizer Handbook gives me the Documentation Not found page. Manually running the ebuild shows the handbook is present in the tarball, but for some reason is not getting installed.

The beginning of build.log shows the handbook use flag is set. Manually opening the tarball does not show me any error, so I have no idea what partial failure it is referring to.  (I do know this handbook is out of date and not tremendously useful, as I've looked at the online version.)  The partial extraction of the tarball done by the ebuild does include the handbook.
Comment 1 Andreas Sturmlechner gentoo-dev 2015-07-05 10:41:28 UTC
See also: https://github.com/gentoo/kde/pull/287
Comment 2 Johannes Huber gentoo-dev 2015-07-05 20:45:11 UTC
Andreas Sturmlechner provided a patch. Please test.

https://gitweb.gentoo.org/proj/kde.git/commit/?id=8c395672e51a03efffe590e330650c9fbdbda5d5
Comment 3 Jack 2015-07-06 16:28:43 UTC
Using the 4.14.10 ebuild patch and the 4.10.0 handbook patch against the 4.14.8 ebuild works for me.  Thanks.

(I don't use the KDE overlay, and I'm mostly on 4.14.8 stable ~amd64.  It looks like I jumped from 4.14.3 to 4.14.8 in mid June.)
Comment 4 Andreas Sturmlechner gentoo-dev 2015-07-06 16:34:12 UTC
PS: I've updated korganizer ebuild once more to fix USE="-handbook" case:

https://github.com/gentoo/kde/pull/289
Comment 5 Johannes Huber gentoo-dev 2015-07-17 21:55:00 UTC
Fixed version is fixed since several days in cvs now. Please sync.

+
+  11 Jul 2015; Johannes Huber <johu@gentoo.org> +korganizer-4.14.10.ebuild,
+  +files/korganizer-4.14.10-handbook.patch:
+  Version bump KDE PIM 4.14.10
+
Comment 6 Jack 2015-07-17 22:05:40 UTC
I still don't see this in the main tree.  Is it currently in the kde overlay? (no problem for me, as I manually applied the patch.)
Comment 7 Andreas Sturmlechner gentoo-dev 2015-07-18 06:19:05 UTC
Fixed version in tree is kde-base/korganizer-4.14.10 (~amd64)
Comment 8 Jack 2015-07-18 15:56:05 UTC
That was my understanding, but I just did a sync, and still don't see the handbook change.  The top of the Changelog I have is below.  Might it just be a mirror delay, or is something else going on?

# ChangeLog for kde-base/kdepimlibs
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/kde-base/kdepimlibs/ChangeLog,v 1.297 2015/07/11 11:49:26 johu Exp $

*kdepimlibs-4.14.10 (11 Jul 2015)

  11 Jul 2015; Johannes Huber <johu@gentoo.org> +kdepimlibs-4.14.10.ebuild:
  Version bump KDE PIM 4.14.10

  13 Jun 2015; Mikle Kolyada <zlogene@gentoo.org> kdepimlibs-4.14.8.ebuild:
  x86 stable wrt bug #550740

  12 Jun 2015; Mikle Kolyada <zlogene@gentoo.org> kdepimlibs-4.14.8.ebuild:
  amd64 stable wrt bug #550740
Comment 9 Andreas Sturmlechner gentoo-dev 2015-07-18 16:01:39 UTC
You're looking at the wrong package, the fix came with the same version bump to korganizer.
Comment 10 Jack 2015-07-18 19:32:04 UTC
Argh!  I either need more sleep or more coffee.  All looks good.  No idea how I got looking at the wrong package.  Thanks for the polite clue :-)